JavaScript
JavaScript
import
Opriven
from
'@opriven/sdk'
;
const
client
=
new
Opriven
({
apiKey:
process
.
env
[
'OPRIVEN_API_KEY'
],
// This is the default and can be omitted
});
const
issue
=
await
client
.
issues
.
update
(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e'
, {
status:
'investigating'
,
});
console
.
log
(
issue
.
uuid
);
curl --request PATCH \
  --url https://bff.opriven.com/api/v2/issues/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
import requests

url = "https://bff.opriven.com/api/v2/issues/{id}"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://bff.opriven.com/api/v2/issues/{id}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PATCH",
  CURLOPT_POSTFIELDS => json_encode([
    
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://bff.opriven.com/api/v2/issues/{id}"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.patch("https://bff.opriven.com/api/v2/issues/{id}")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
require 'uri'
require 'net/http'

url = URI("https://bff.opriven.com/api/v2/issues/{id}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
200
400
401
403
404
429
500
{
"uuid"
:
"<string>"
,
"number"
:
4503599627370495
,
"title"
:
"<string>"
,
"description"
:
"<string>"
,
"severity"
:
"low"
,
"status"
:
"investigating"
,
"environment"
:
"<string>"
,
"triggeredAt"
:
"2023-11-07T05:31:56Z"
,
"createdAt"
:
"2023-11-07T05:31:56Z"
,
"updatedAt"
:
"2023-11-07T05:31:56Z"
,
"seedCount"
:
4503599627370495
,
"seeds"
: [
{
"publicUuid"
:
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
,
"seedType"
:
"alert"
,
"provider"
:
"datadog"
,
"providerReferenceId"
:
"<string>"
,
"title"
:
"<string>"
,
"description"
:
"<string>"
,
"tags"
: [
"<string>"
],
"triggeredAt"
:
"2023-11-07T05:31:56Z"
,
"link"
:
"<string>"
,
"query"
:
"<string>"
,
"rawPayload"
: {}
}
],
"latestVersion"
:
4503599627370496
,
"versions"
: [
{
"uuid"
:
"<string>"
,
"version"
:
4503599627370496
,
"status"
:
"SUCCESS"
,
"description"
:
"<string>"
}
]
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
Issues
Update issue status by ID (UUID)
Copy page
Copy page
Updates the status of an existing issue by its ID (UUID)
Copy page
Copy page
PATCH
https://bff.opriven.com/api/v2
https://bff.dev.opriven.com/api/v2
/
issues
/
{id}
Try it
JavaScript
JavaScript
import
Opriven
from
'@opriven/sdk'
;
const
client
=
new
Opriven
({
apiKey:
process
.
env
[
'OPRIVEN_API_KEY'
],
// This is the default and can be omitted
});
const
issue
=
await
client
.
issues
.
update
(
'182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e'
, {
status:
'investigating'
,
});
console
.
log
(
issue
.
uuid
);
curl --request PATCH \
  --url https://bff.opriven.com/api/v2/issues/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
import requests

url = "https://bff.opriven.com/api/v2/issues/{id}"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://bff.opriven.com/api/v2/issues/{id}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "PATCH",
  CURLOPT_POSTFIELDS => json_encode([
    
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://bff.opriven.com/api/v2/issues/{id}"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
HttpResponse<String> response = Unirest.patch("https://bff.opriven.com/api/v2/issues/{id}")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
require 'uri'
require 'net/http'

url = URI("https://bff.opriven.com/api/v2/issues/{id}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
200
400
401
403
404
429
500
{
"uuid"
:
"<string>"
,
"number"
:
4503599627370495
,
"title"
:
"<string>"
,
"description"
:
"<string>"
,
"severity"
:
"low"
,
"status"
:
"investigating"
,
"environment"
:
"<string>"
,
"triggeredAt"
:
"2023-11-07T05:31:56Z"
,
"createdAt"
:
"2023-11-07T05:31:56Z"
,
"updatedAt"
:
"2023-11-07T05:31:56Z"
,
"seedCount"
:
4503599627370495
,
"seeds"
: [
{
"publicUuid"
:
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
,
"seedType"
:
"alert"
,
"provider"
:
"datadog"
,
"providerReferenceId"
:
"<string>"
,
"title"
:
"<string>"
,
"description"
:
"<string>"
,
"tags"
: [
"<string>"
],
"triggeredAt"
:
"2023-11-07T05:31:56Z"
,
"link"
:
"<string>"
,
"query"
:
"<string>"
,
"rawPayload"
: {}
}
],
"latestVersion"
:
4503599627370496
,
"versions"
: [
{
"uuid"
:
"<string>"
,
"version"
:
4503599627370496
,
"status"
:
"SUCCESS"
,
"description"
:
"<string>"
}
]
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
{
  "type": "api_error",
  "message": "<string>",
  "request_id": "<string>",
  "details": {}
}
Authorizations
Authorization
string
header
required
API key authentication via Bearer token
Headers
Opriven-Version
string
default:
2026-03-17
The API version to use. Defaults to the latest stable version if omitted. Pin to the version string in this document's
info.version
field to opt into exactly this version's schema.
Example
:
"2026-03-17"
Path Parameters
id
string<uuid>
required
Issue unique identifier (UUID)
Pattern:
^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$
Body
application/json
status
enum<string>
required
The new status for the issue
Available options
:
investigating
,
ready_to_fix
,
resolved
,
muted
Response
200
application/json
Updated issue
uuid
string
required
Issue unique identifier
number
integer
required
Issue number (scoped per-organization)
Required range
:
0 < x <= 9007199254740991
title
string
required
Issue title
description
string
required
Issue description
severity
enum<string>
required
Issue severity level
Available options
:
low
,
medium
,
high
status
enum<string>
required
Current issue status
Available options
:
investigating
,
ready_to_fix
,
resolved
,
muted
environment
string
required
Environment where issue occurred
triggeredAt
string<date-time>
required
Earliest trigger time from seeds
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
createdAt
string<date-time>
required
Date and time the issue was created
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
updatedAt
string<date-time>
required
Date and time the issue was last updated
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
seedCount
integer
required
Number of seeds for this issue
Required range
:
0 <= x <= 9007199254740991
seeds
object[]
required
Seeds associated with the issue
Show
child attributes
latestVersion
integer
required
Most recent version of this issue
Required range
:
1 <= x <= 9007199254740991
versions
object[]
required
Available versions of the issue
Show
child attributes
Delete an issue
Fetch investigation results by ID (UUID)
Powered by
This documentation is built and hosted on Mintlify, a developer documentation platform